-- A5M2で実行時に[SQL] - [スラッシュ(/)のみの行でSQLを区切る]に変えてから実行する
-- 空文字をNULLに変換する
-- 半角スペースを含む値はそのまま返却される
CREATE FUNCTION medaca_common.convert_empty_to_null(column_value TEXT)
RETURNS TEXT DETERMINISTIC
BEGIN
    RETURN (
        CASE
            WHEN column_value IS NULL THEN NULL
            WHEN LENGTH(column_value) = 0 THEN NULL
            ELSE column_value
        END
    );
END
;
